
Foreman - Bug #5773

editing resources in UI returns view to wrong page and search

05/17/2014 01:19 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1098704 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1521

  

Description

While editing resources in foreman UI (Filters in this case) I was on page 4. After deleting one of the filters, returned the view to page

1. This makes editing anything beyond trivial data sets very difficult.

Related issues:

Related to Foreman - Bug #2335: submitting a puppet class edit should go back... Closed 03/18/2013

Related to Foreman - Bug #8638: Delete Host action should return /hosts inste... Closed 12/09/2014

Related to Foreman - Bug #11304: Editing subnet redirects to New Host form if... New 08/06/2015

Related to Foreman - Bug #12649: Index search not retained when using form's ... Closed 12/01/2015

Has duplicate Foreman - Bug #9450: Stay on same page after deleting host Duplicate 02/18/2015

Associated revisions

Revision e1a24883 - 11/12/2014 05:21 AM - Joseph Magen

fixes #5773 - redirect to referrer URL that includes page and search

Revision 0e44dd1a - 11/24/2014 12:48 PM - Joseph Magen

fixes #5773 - redirect to referrer URL that includes page and search

(cherry picked from commit e1a2488307d41a0c10e3d4912f735419fe730aba)

History

#1 - 05/17/2014 01:19 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098704

#2 - 05/19/2014 07:19 AM - Dominic Cleal

- Related to Bug #2335: submitting a puppet class edit should go back to the class' page added

#3 - 06/19/2014 07:50 AM - Joseph Magen

- Assignee set to Joseph Magen

- Target version set to 1.8.1

- Status changed from New to Assigned

#4 - 06/19/2014 02:35 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1521

#5 - 06/23/2014 12:10 PM - Dominic Cleal

Also https://bugzilla.redhat.com/show_bug.cgi?id=1112247, confirming that we should apply this generally.
#6 - 07/07/2014 07:22 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#7 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#8 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#9 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#10 - 09/30/2014 10:40 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#11 - 10/01/2014 09:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1521 added

#12 - 11/12/2014 05:32 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#13 - 11/12/2014 06:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e1a2488307d41a0c10e3d4912f735419fe730aba.

#14 - 12/16/2014 06:25 AM - Dominic Cleal

- Related to Bug #8638: Delete Host action should return /hosts instead of 404 on /hosts/delete-host.domain added

#15 - 02/19/2015 08:16 AM - Dominic Cleal

- Has duplicate Bug #9450: Stay on same page after deleting host added

#16 - 08/06/2015 03:54 AM - Dominic Cleal

- Related to Bug #11304: Editing subnet redirects to New Host form if used simultaneously added

#17 - 12/02/2015 02:52 AM - Dominic Cleal

- Related to Bug #12649: Index search not retained when using form's cancel button added

Powered by TCPDF (www.tcpdf.org)

05/11/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e1a2488307d41a0c10e3d4912f735419fe730aba
http://www.tcpdf.org

